# ncurses 6.0 - patch 20150719 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/6.0
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-6.0-20150719.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Mon Jul 20 00:44:14 UTC 2015
# ------------------------------------------------------------------------------
# NEWS                              |   13 
# VERSION                           |    2 
# dist.mk                           |    4 
# doc/html/man/captoinfo.1m.html    |    2 
# doc/html/man/clear.1.html         |    2 
# doc/html/man/curs_addch.3x.html   |   10 
# doc/html/man/curs_getch.3x.html   |   22 +
# doc/html/man/curs_initscr.3x.html |  140 ++++++++-
# doc/html/man/form.3x.html         |    2 
# doc/html/man/infocmp.1m.html      |    2 
# doc/html/man/infotocap.1m.html    |    2 
# doc/html/man/menu.3x.html         |    2 
# doc/html/man/ncurses.3x.html      |    2 
# doc/html/man/panel.3x.html        |    2 
# doc/html/man/tabs.1.html          |    2 
# doc/html/man/terminfo.5.html      |    2 
# doc/html/man/tic.1m.html          |    2 
# doc/html/man/toe.1m.html          |    2 
# doc/html/man/tput.1.html          |    2 
# doc/html/man/tset.1.html          |    2 
# doc/ncurses-intro.doc             |    2 
# man/curs_addch.3x                 |    4 
# man/curs_getch.3x                 |    7 
# man/curs_initscr.3x               |   84 +++++
# ncurses/tinfo/lib_tparm.c         |   12 
# ncurses/tinfo/make_keys.c         |   26 +
# package/debian-mingw/changelog    |    4 
# package/debian-mingw64/changelog  |    4 
# package/debian/changelog          |    4 
# package/mingw-ncurses.nsi         |    4 
# package/mingw-ncurses.spec        |    2 
# package/ncurses.spec              |    2 
# test/README                       |   12 
# test/configure                    |  557 +++++++++++++++++++-----------------
# test/configure.in                 |   16 -
# 35 files changed, 632 insertions(+), 327 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2455 
--- ncurses-6.0-20150711+/NEWS	2015-07-11 22:54:54.000000000 +0000
+++ ncurses-6.0-20150719/NEWS	2015-07-19 23:55:55.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2455 2015/07/11 22:54:54 tom Exp $
+-- $Id: NEWS,v 1.2461 2015/07/19 23:55:55 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,17 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20150719
+	+ correct an old logic error for %A and %O in tparm (report by "zreed").
+	+ improve documentation for signal handlers by adding section in the
+	  curs_initscr.3x page.
+	+ modify logic in make_keys.c to not assume anything about the size
+	  of strnames and strfnames variables, since those may be functions
+	  in the thread- or broken-linker configurations (problem found by
+	  Coverity).
+	+ modify test/configure script to check for pthreads configuration,
+	  e.g., ncursestw library.
+
 20150711
 	+ modify scripts to build/use test-packages for the pthreads
 	  configuration of ncurses6.
Index: VERSION
--- ncurses-6.0-20150711+/VERSION	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/VERSION	2015-07-19 23:55:55.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20150711
+5:0:9	6.0	20150719
Index: dist.mk
Prereq:  1.1059 
--- ncurses-6.0-20150711+/dist.mk	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/dist.mk	2015-07-19 23:55:55.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1059 2015/07/07 08:04:53 tom Exp $
+# $Id: dist.mk,v 1.1061 2015/07/19 23:55:55 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20150711
+NCURSES_PATCH = 20150719
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/man/captoinfo.1m.html
--- ncurses-6.0-20150711+/doc/html/man/captoinfo.1m.html	2015-06-06 23:47:40.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/captoinfo.1m.html	2015-07-16 09:29:40.000000000 +0000
@@ -205,7 +205,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 </PRE>
Index: doc/html/man/clear.1.html
--- ncurses-6.0-20150711+/doc/html/man/clear.1.html	2015-06-06 23:47:40.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/clear.1.html	2015-07-16 09:29:40.000000000 +0000
@@ -71,7 +71,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/curs_addch.3x.html
--- ncurses-6.0-20150711+/doc/html/man/curs_addch.3x.html	2015-05-13 19:27:42.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/curs_addch.3x.html	2015-07-16 09:29:40.000000000 +0000
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_addch.3x,v 1.35 2015/05/13 19:18:37 tom Exp @
+  * @Id: curs_addch.3x,v 1.36 2015/07/16 09:14:44 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -67,6 +67,9 @@
 
 </PRE>
 <H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
+
+</PRE>
+<H3><a name="h3-Adding-characters">Adding characters</a></H3><PRE>
        The  <STRONG>addch</STRONG>,  <STRONG>waddch</STRONG>, <STRONG>mvaddch</STRONG> and <STRONG>mvwaddch</STRONG> routines put the
        character <EM>ch</EM> into the given window at its  current  window
        position,  which  is then advanced.  They are analogous to
@@ -115,6 +118,9 @@
        fined video attribute constants that can be usefully OR'ed
        into characters.
 
+
+</PRE>
+<H3><a name="h3-Echoing-characters">Echoing characters</a></H3><PRE>
        The  <STRONG>echochar</STRONG>  and  <STRONG>wechochar</STRONG> routines are equivalent to a
        call to <STRONG>addch</STRONG> followed by a call to <STRONG>refresh</STRONG>, or a call  to
        <STRONG>waddch</STRONG> followed by a call to <STRONG>wrefresh</STRONG>.  The knowledge that
@@ -234,6 +240,8 @@
 <li><a href="#h2-SYNOPSIS">SYNOPSIS</a></li>
 <li><a href="#h2-DESCRIPTION">DESCRIPTION</a>
 <ul>
+<li><a href="#h3-Adding-characters">Adding characters</a></li>
+<li><a href="#h3-Echoing-characters">Echoing characters</a></li>
 <li><a href="#h3-Line-Graphics">Line Graphics</a></li>
 </ul>
 </li>
Index: doc/html/man/curs_getch.3x.html
--- ncurses-6.0-20150711+/doc/html/man/curs_getch.3x.html	2015-05-13 19:27:43.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/curs_getch.3x.html	2015-07-16 23:34:05.000000000 +0000
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_getch.3x,v 1.40 2015/04/11 10:23:49 tom Exp @
+  * @Id: curs_getch.3x,v 1.41 2015/07/16 09:29:33 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -66,6 +66,9 @@
 
 </PRE>
 <H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
+
+</PRE>
+<H3><a name="h3-Reading-characters">Reading characters</a></H3><PRE>
        The <STRONG>getch</STRONG>, <STRONG>wgetch</STRONG>, <STRONG>mvgetch</STRONG> and <STRONG>mvwgetch</STRONG>, routines  read  a
        character  from the window.  In no-delay mode, if no input
        is waiting, the value <STRONG>ERR</STRONG> is returned.  In delay mode, the
@@ -99,6 +102,9 @@
        fied since the last call to  <STRONG>wrefresh</STRONG>,  <STRONG>wrefresh</STRONG>  will  be
        called before another character is read.
 
+
+</PRE>
+<H3><a name="h3-Keypad-mode">Keypad mode</a></H3><PRE>
        If  <STRONG>keypad</STRONG> is <STRONG>TRUE</STRONG>, and a function key is pressed, the to-
        ken for that function key is returned instead of  the  raw
        characters.   Possible function keys are defined in <STRONG>&lt;curs-</STRONG>
@@ -116,6 +122,9 @@
        experience a delay between the time a user presses the es-
        cape key and the escape is returned to the program.
 
+
+</PRE>
+<H3><a name="h3-Ungetting-characters">Ungetting characters</a></H3><PRE>
        The <STRONG>ungetch</STRONG> routine places <EM>ch</EM> back onto the input queue to
        be returned by the next call to <STRONG>wgetch</STRONG>.  There is just one
        input queue for all windows.
@@ -177,10 +186,10 @@
             KEY_FIND        Find key
             KEY_HELP        Help key
             KEY_MARK        Mark key
+
             KEY_MESSAGE     Message key
             KEY_MOUSE       Mouse event read
             KEY_MOVE        Move key
-
             KEY_NEXT        Next object key
             KEY_OPEN        Open key
             KEY_OPTIONS     Options key
@@ -239,9 +248,9 @@
        and returns <STRONG>TRUE</STRONG> or <STRONG>FALSE</STRONG> according to whether the current
        terminal type recognizes a key with that value.  Note that
        a  few  values  do  not  correspond  to  a real key, e.g.,
-       <STRONG>KEY_RESIZE</STRONG> and <STRONG>KEY_MOUSE</STRONG>.  See <STRONG><A HREF="resizeterm.3x.html">resizeterm(3x)</A></STRONG> for more de-
-       tails  about  <STRONG>KEY_RESIZE</STRONG>, and <STRONG><A HREF="curs_mouse.3x.html">curs_mouse(3x)</A></STRONG> for a discus-
-       sion of <STRONG>KEY_MOUSE</STRONG>.
+       <STRONG>KEY_RESIZE</STRONG>  and  <STRONG>KEY_MOUSE</STRONG>.   See  <STRONG><A HREF="curs_initscr.3x.html">curs_initscr(3x)</A></STRONG>   and   <STRONG>re-</STRONG>
+       <STRONG><A HREF="resizeterm.3x.html">sizeterm(3x)</A></STRONG>   for  more  details  about  <STRONG>KEY_RESIZE</STRONG>,  and
+       <STRONG><A HREF="curs_mouse.3x.html">curs_mouse(3x)</A></STRONG> for a discussion of <STRONG>KEY_MOUSE</STRONG>.
 
 
 </PRE>
@@ -364,6 +373,9 @@
 <li><a href="#h2-SYNOPSIS">SYNOPSIS</a></li>
 <li><a href="#h2-DESCRIPTION">DESCRIPTION</a>
 <ul>
+<li><a href="#h3-Reading-characters">Reading characters</a></li>
+<li><a href="#h3-Keypad-mode">Keypad mode</a></li>
+<li><a href="#h3-Ungetting-characters">Ungetting characters</a></li>
 <li><a href="#h3-Function-Keys">Function Keys</a></li>
 </ul>
 </li>
Index: doc/html/man/curs_initscr.3x.html
--- ncurses-6.0-20150711+/doc/html/man/curs_initscr.3x.html	2015-05-13 19:27:44.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/curs_initscr.3x.html	2015-07-16 09:29:41.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_initscr.3x,v 1.20 2014/03/01 22:31:22 tom Exp @
+  * @Id: curs_initscr.3x,v 1.23 2015/07/16 09:23:42 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -65,6 +65,9 @@
 
 </PRE>
 <H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
+
+</PRE>
+<H3><a name="h3-initscr">initscr</a></H3><PRE>
        <STRONG>initscr</STRONG> is normally the first <STRONG>curses</STRONG> routine to call  when
        initializing  a program.  A few special routines sometimes
        need to be called before it; these are  <STRONG>slk_init</STRONG>,  <STRONG>filter</STRONG>,
@@ -78,6 +81,9 @@
        dard error and exits; otherwise, a pointer is returned  to
        <STRONG>stdscr</STRONG>.
 
+
+</PRE>
+<H3><a name="h3-newterm">newterm</a></H3><PRE>
        A  program  that  outputs to more than one terminal should
        use the <STRONG>newterm</STRONG>  routine  for  each  terminal  instead  of
        <STRONG>initscr</STRONG>.  A program that needs to inspect capabilities, so
@@ -96,6 +102,9 @@
 
        If the <EM>type</EM> parameter is <STRONG>NULL</STRONG>, <STRONG>$TERM</STRONG> will be used.
 
+
+</PRE>
+<H3><a name="h3-endwin">endwin</a></H3><PRE>
        The  program must also call <STRONG>endwin</STRONG> for each terminal being
        used before exiting from <STRONG>curses</STRONG>.   If  <STRONG>newterm</STRONG>  is  called
        more  than  once for the same terminal, the first terminal
@@ -115,10 +124,16 @@
        Calling <STRONG>refresh</STRONG> or <STRONG>doupdate</STRONG> after a temporary escape caus-
        es the program to resume visual mode.
 
+
+</PRE>
+<H3><a name="h3-isendwin">isendwin</a></H3><PRE>
        The <STRONG>isendwin</STRONG> routine  returns  <STRONG>TRUE</STRONG>  if  <STRONG>endwin</STRONG>  has  been
        called without any subsequent calls to <STRONG>wrefresh</STRONG>, and <STRONG>FALSE</STRONG>
        otherwise.
 
+
+</PRE>
+<H3><a name="h3-set_term">set_term</a></H3><PRE>
        The <STRONG>set_term</STRONG> routine is used to switch  between  different
        terminals.   The screen reference <STRONG>new</STRONG> becomes the new cur-
        rent terminal.  The previous terminal is returned  by  the
@@ -126,6 +141,9 @@
        <STRONG>SCREEN</STRONG> pointers; all other routines affect only  the  cur-
        rent terminal.
 
+
+</PRE>
+<H3><a name="h3-delscreen">delscreen</a></H3><PRE>
        The  <STRONG>delscreen</STRONG>  routine  frees storage associated with the
        <STRONG>SCREEN</STRONG> data structure.  The <STRONG>endwin</STRONG>  routine  does  not  do
        this, so <STRONG>delscreen</STRONG> should be called after <STRONG>endwin</STRONG> if a par-
@@ -160,21 +178,100 @@
 
 </PRE>
 <H2><a name="h2-PORTABILITY">PORTABILITY</a></H2><PRE>
-       These functions are described in the XSI Curses  standard,
-       Issue 4.  It specifies that portable applications must not
-       call <STRONG>initscr</STRONG> more than once.
+       These functions were described in the XSI Curses standard,
+       Issue 4.  As of 2015, the current document is X/Open Curs-
+       es, Issue 7.
+
+
+</PRE>
+<H3><a name="h3-Differences">Differences</a></H3><PRE>
+       X/Open specifies that portable applications must not  call
+       <STRONG>initscr</STRONG> more than once:
+
+       <STRONG>o</STRONG>   The  portable  way  to use <STRONG>initscr</STRONG> is once only, using
+           <STRONG>refresh</STRONG> (see <STRONG><A HREF="curs_refresh.3x.html">curs_refresh(3x)</A></STRONG>) to restore  the  screen
+           after <STRONG>endwin</STRONG>.
+
+       <STRONG>o</STRONG>   This implementation allows using <STRONG>initscr</STRONG> after <STRONG>endwin</STRONG>.
 
        Old versions of curses, e.g., BSD 4.4, may have returned a
-       null  pointer  from  <STRONG>initscr</STRONG>  when  an  error is detected,
-       rather than exiting.  It is safe but  redundant  to  check
+       null pointer from  <STRONG>initscr</STRONG>  when  an  error  is  detected,
+       rather  than  exiting.   It is safe but redundant to check
        the return value of <STRONG>initscr</STRONG> in XSI Curses.
 
+
+</PRE>
+<H3><a name="h3-Unset-TERM-Variable">Unset TERM Variable</a></H3><PRE>
        If the TERM variable is missing or empty, <STRONG>initscr</STRONG> uses the
-       value "unknown", which normally corresponds to a  terminal
-       entry  with  the <EM>generic</EM> (<EM>gn</EM>) capability.  Generic entries
-       are detected by <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG> and cannot be used for full-
-       screen  operation.   Other  implementations  may  handle a
-       missing/empty TERM variable differently.
+       value  "unknown", which normally corresponds to a terminal
+       entry with the <EM>generic</EM> (<EM>gn</EM>) capability.   Generic  entries
+       are detected by <STRONG>setupterm</STRONG> (see <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>) and can-
+       not be used for full-screen operation.  Other  implementa-
+       tions  may handle a missing/empty TERM variable different-
+       ly.
+
+
+</PRE>
+<H3><a name="h3-Signal-Handlers">Signal Handlers</a></H3><PRE>
+       Quoting from X/Open Curses, section 3.1.1:
+
+            <EM>Curses</EM> <EM>implementations</EM> <EM>may</EM> <EM>provide</EM> <EM>for</EM>  <EM>special</EM>  <EM>han-</EM>
+            <EM>dling</EM>  <EM>of</EM>  <EM>the</EM> <EM>SIGINT,</EM> <EM>SIGQUIT</EM> <EM>and</EM> <EM>SIGTSTP</EM> <EM>signals</EM> <EM>if</EM>
+            <EM>their</EM> <EM>disposition</EM> <EM>is</EM> <EM>SIG</EM><STRONG>_</STRONG><EM>DFL</EM> <EM>at</EM> <EM>the</EM> <EM>time</EM> <STRONG>initscr()</STRONG> <EM>is</EM>
+            <EM>called</EM> <STRONG>...</STRONG>
+
+            <EM>Any</EM>  <EM>special</EM> <EM>handling</EM> <EM>for</EM> <EM>these</EM> <EM>signals</EM> <EM>may</EM> <EM>remain</EM> <EM>in</EM>
+            <EM>effect</EM> <EM>for</EM> <EM>the</EM> <EM>life</EM>  <EM>of</EM>  <EM>the</EM>  <EM>process</EM>  <EM>or</EM>  <EM>until</EM>  <EM>the</EM>
+            <EM>process</EM> <EM>changes</EM> <EM>the</EM> <EM>disposition</EM> <EM>of</EM> <EM>the</EM> <EM>signal.</EM>
+
+            <EM>None</EM>  <EM>of</EM> <EM>the</EM> <EM>Curses</EM> <EM>functions</EM> <EM>are</EM> <EM>required</EM> <EM>to</EM> <EM>be</EM> <EM>safe</EM>
+            <EM>with</EM> <EM>respect</EM> <EM>to</EM> <EM>signals</EM> ...
+
+       This implementation  establishes  signal  handlers  during
+       initialization,  e.g.,  <STRONG>initscr</STRONG>  or <STRONG>newterm</STRONG>.  Applications
+       which must handle these signals should set up  the  corre-
+       sponding handlers <EM>after</EM> initializing the library:
+
+       <STRONG>SIGINT</STRONG>
+            The  handler  <EM>attempts</EM> to cleanup the screen on exit.
+            Although it <EM>usually</EM> works as expected, there are lim-
+            itations:
+
+            <STRONG>o</STRONG>   Walking the <STRONG>SCREEN</STRONG> list is unsafe, since all list
+                management is done without any signal blocking.
+
+            <STRONG>o</STRONG>   On  systems  which  have  <STRONG>REENTRANT</STRONG>  turned   on,
+                <STRONG>set_term</STRONG>  uses  functions which could deadlock or
+                misbehave in other ways.
+
+            <STRONG>o</STRONG>   <STRONG>endwin</STRONG> calls other functions, many of  which  use
+                stdio or other library functions which are clear-
+                ly unsafe.
+
+       <STRONG>SIGTERM</STRONG>
+            This uses the same handler as <STRONG>SIGINT</STRONG>, with  the  same
+            limitations.   It  is not mentioned in X/Open Curses,
+            but is more suitable for this  purpose  than  <STRONG>SIGQUIT</STRONG>
+            (which is used in debugging).
+
+       <STRONG>SIGTSTP</STRONG>
+            This  handles  the  <EM>stop</EM> signal, used in job control.
+            When resuming the process, this  implementation  dis-
+            cards    pending    input    with   <STRONG>flushinput</STRONG>   (see
+            <STRONG><A HREF="curs_util.3x.html">curs_util(3x)</A></STRONG>), and repaints the screen assuming that
+            it  has been completely altered.  It also updates the
+            saved  terminal  modes   with   <STRONG>def_shell_mode</STRONG>   (see
+            <STRONG><A HREF="curs_kernel.3x.html">curs_kernel(3x)</A></STRONG>).
+
+       <STRONG>SIGWINCH</STRONG>
+            This  handles the window-size changes which were ini-
+            tially ignored in the standardization  efforts.   The
+            handler  sets a (signal-safe) variable which is later
+            tested in <STRONG>wgetch</STRONG> (see <STRONG><A HREF="curs_getch.3x.html">curs_getch(3x)</A></STRONG>).  If <STRONG>keypad</STRONG> has
+            been enabled for the corresponding window, <STRONG>wgetch</STRONG> re-
+            turns the key symbol <STRONG>KEY_RESIZE</STRONG>.  At the  same  time,
+            <STRONG>wgetch</STRONG> calls <STRONG>resizeterm</STRONG> to adjust the standard screen
+            <STRONG>stdscr</STRONG>, and update other data such as <STRONG>LINES</STRONG> and <STRONG>COLS</STRONG>.
 
 
 </PRE>
@@ -191,10 +288,25 @@
 <ul>
 <li><a href="#h2-NAME">NAME</a></li>
 <li><a href="#h2-SYNOPSIS">SYNOPSIS</a></li>
-<li><a href="#h2-DESCRIPTION">DESCRIPTION</a></li>
+<li><a href="#h2-DESCRIPTION">DESCRIPTION</a>
+<ul>
+<li><a href="#h3-initscr">initscr</a></li>
+<li><a href="#h3-newterm">newterm</a></li>
+<li><a href="#h3-endwin">endwin</a></li>
+<li><a href="#h3-isendwin">isendwin</a></li>
+<li><a href="#h3-set_term">set_term</a></li>
+<li><a href="#h3-delscreen">delscreen</a></li>
+</ul>
+</li>
 <li><a href="#h2-RETURN-VALUE">RETURN VALUE</a></li>
 <li><a href="#h2-NOTES">NOTES</a></li>
-<li><a href="#h2-PORTABILITY">PORTABILITY</a></li>
+<li><a href="#h2-PORTABILITY">PORTABILITY</a>
+<ul>
+<li><a href="#h3-Differences">Differences</a></li>
+<li><a href="#h3-Unset-TERM-Variable">Unset TERM Variable</a></li>
+<li><a href="#h3-Signal-Handlers">Signal Handlers</a></li>
+</ul>
+</li>
 <li><a href="#h2-SEE-ALSO">SEE ALSO</a></li>
 </ul>
 </div>
Index: doc/html/man/form.3x.html
--- ncurses-6.0-20150711+/doc/html/man/form.3x.html	2015-06-06 23:47:44.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/form.3x.html	2015-07-16 09:29:44.000000000 +0000
@@ -244,7 +244,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-6.0-20150711+/doc/html/man/infocmp.1m.html	2015-06-06 23:47:46.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/infocmp.1m.html	2015-07-16 09:29:45.000000000 +0000
@@ -472,7 +472,7 @@
 
        http://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 </PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-6.0-20150711+/doc/html/man/infotocap.1m.html	2015-06-06 23:47:46.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/infotocap.1m.html	2015-07-16 09:29:45.000000000 +0000
@@ -94,7 +94,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 </PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-6.0-20150711+/doc/html/man/menu.3x.html	2015-06-06 23:47:46.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/menu.3x.html	2015-07-16 09:29:45.000000000 +0000
@@ -227,7 +227,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/ncurses.3x.html
--- ncurses-6.0-20150711+/doc/html/man/ncurses.3x.html	2015-06-06 23:47:48.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/ncurses.3x.html	2015-07-16 09:29:47.000000000 +0000
@@ -63,7 +63,7 @@
        sonable optimization.  This implementation is "new curses"
        (ncurses) and is the approved replacement for 4.4BSD clas-
        sic  curses,  which has been discontinued.  This describes
-       <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
        The <STRONG>ncurses</STRONG> library emulates the curses library of  System
        V  Release  4  UNIX,  and  XPG4 (X/Open Portability Guide)
Index: doc/html/man/panel.3x.html
--- ncurses-6.0-20150711+/doc/html/man/panel.3x.html	2015-06-06 23:47:48.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/panel.3x.html	2015-07-16 09:29:47.000000000 +0000
@@ -218,7 +218,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 </PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-6.0-20150711+/doc/html/man/tabs.1.html	2015-06-06 23:47:48.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/tabs.1.html	2015-07-16 09:29:47.000000000 +0000
@@ -168,7 +168,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/terminfo.5.html
--- ncurses-6.0-20150711+/doc/html/man/terminfo.5.html	2015-06-06 23:47:48.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/terminfo.5.html	2015-07-16 09:29:48.000000000 +0000
@@ -78,7 +78,7 @@
        nals by giving a set of capabilities which they  have,  by
        specifying how to perform screen operations, and by speci-
        fying padding requirements and  initialization  sequences.
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
        Entries in <EM>terminfo</EM> consist of a sequence of `,' separated
        fields (embedded commas may be escaped with a backslash or
Index: doc/html/man/tic.1m.html
--- ncurses-6.0-20150711+/doc/html/man/tic.1m.html	2015-06-06 23:47:48.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/tic.1m.html	2015-07-16 09:29:48.000000000 +0000
@@ -395,7 +395,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,    <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 </PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-6.0-20150711+/doc/html/man/toe.1m.html	2015-06-06 23:47:49.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/toe.1m.html	2015-07-16 09:29:48.000000000 +0000
@@ -119,7 +119,7 @@
        <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,    <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-6.0-20150711+/doc/html/man/tput.1.html	2015-06-06 23:47:49.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/tput.1.html	2015-07-16 09:29:48.000000000 +0000
@@ -338,7 +338,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>, <STRONG>stty(1)</STRONG>, <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-6.0-20150711+/doc/html/man/tset.1.html	2015-06-06 23:47:49.000000000 +0000
+++ ncurses-6.0-20150719/doc/html/man/tset.1.html	2015-07-16 09:29:48.000000000 +0000
@@ -319,7 +319,7 @@
        <STRONG>csh(1)</STRONG>,   <STRONG>sh(1)</STRONG>,   <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,
        <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150606).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150718).
 
 
 
Index: doc/ncurses-intro.doc
--- ncurses-6.0-20150711+/doc/ncurses-intro.doc	2012-04-28 22:48:33.000000000 +0000
+++ ncurses-6.0-20150719/doc/ncurses-intro.doc	2015-07-16 23:38:51.000000000 +0000
@@ -332,7 +332,7 @@
    function names and parameters as mentioned above.
 
    Here is a sample program to motivate the discussion:
-#include <curses.h>
+#include <stdlib.h>
 #include <curses.h>
 #include <signal.h>
 
Index: man/curs_addch.3x
Prereq:  1.35 
--- ncurses-6.0-20150711+/man/curs_addch.3x	2015-05-13 19:18:37.000000000 +0000
+++ ncurses-6.0-20150719/man/curs_addch.3x	2015-07-16 09:14:44.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addch.3x,v 1.35 2015/05/13 19:18:37 tom Exp $
+.\" $Id: curs_addch.3x,v 1.36 2015/07/16 09:14:44 tom Exp $
 .TH curs_addch 3X ""
 .de bP
 .IP \(bu 4
@@ -55,6 +55,7 @@
 \fBint wechochar(WINDOW *win, const chtype ch);\fR
 .br
 .SH DESCRIPTION
+.SS Adding characters
 The \fBaddch\fR, \fBwaddch\fR, \fBmvaddch\fR and \fBmvwaddch\fR routines put
 the character \fIch\fR into the given window at its current window position,
 which is then advanced.  They are analogous to \fBputchar\fR in \fBstdio\fR(3).
@@ -97,6 +98,7 @@
 using \fBinch\fR and \fBaddch\fR.)  See the \fBcurs_attr\fR(3X) page for
 values of predefined video attribute constants that can be usefully OR'ed
 into characters.
+.SS Echoing characters
 .PP
 The \fBechochar\fR and \fBwechochar\fR routines are equivalent to a call to
 \fBaddch\fR followed by a call to \fBrefresh\fR, or a call to \fBwaddch\fR
Index: man/curs_getch.3x
Prereq:  1.40 
--- ncurses-6.0-20150711+/man/curs_getch.3x	2015-04-11 10:23:49.000000000 +0000
+++ ncurses-6.0-20150719/man/curs_getch.3x	2015-07-16 09:29:33.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_getch.3x,v 1.40 2015/04/11 10:23:49 tom Exp $
+.\" $Id: curs_getch.3x,v 1.41 2015/07/16 09:29:33 tom Exp $
 .TH curs_getch 3X ""
 .na
 .hy 0
@@ -59,6 +59,7 @@
 \fBint has_key(int ch);\fR
 .br
 .SH DESCRIPTION
+.SS Reading characters
 The \fBgetch\fR, \fBwgetch\fR, \fBmvgetch\fR and \fBmvwgetch\fR, routines read
 a character from the window.
 In no-delay mode, if no input is waiting, the value \fBERR\fR is returned.
@@ -91,6 +92,7 @@
 If the window is not a pad, and it has been moved or modified since the last
 call to \fBwrefresh\fR, \fBwrefresh\fR will be called before another character
 is read.
+.SS Keypad mode
 .PP
 If \fBkeypad\fR is \fBTRUE\fR, and a function key is pressed, the token for
 that function key is returned instead of the raw characters.
@@ -109,6 +111,7 @@
 otherwise, the function key value is returned.
 For this reason, many terminals experience a delay between the time
 a user presses the escape key and the escape is returned to the program.
+.SS Ungetting characters
 .PP
 The \fBungetch\fR routine places \fIch\fR back onto the input queue to be
 returned by the next call to \fBwgetch\fR.
@@ -238,7 +241,7 @@
 the current terminal type recognizes a key with that value.
 Note that a few values do not correspond to a real key,
 e.g., \fBKEY_RESIZE\fP and \fBKEY_MOUSE\fP.
-See \fBresizeterm\fR(3X) for more details about \fBKEY_RESIZE\fP, and
+See \fBinitscr\fP(3X) and \fBresizeterm\fR(3X) for more details about \fBKEY_RESIZE\fP, and
 \fBcurs_mouse\fR(3X) for a discussion of \fBKEY_MOUSE\fP.
 .PP
 .SH RETURN VALUE
Index: man/curs_initscr.3x
Prereq:  1.20 
--- ncurses-6.0-20150711+/man/curs_initscr.3x	2014-03-01 22:31:22.000000000 +0000
+++ ncurses-6.0-20150719/man/curs_initscr.3x	2015-07-16 09:23:42.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_initscr.3x,v 1.20 2014/03/01 22:31:22 tom Exp $
+.\" $Id: curs_initscr.3x,v 1.23 2015/07/16 09:23:42 tom Exp $
 .TH curs_initscr 3X ""
 .de bP
 .IP \(bu 4
@@ -62,6 +62,7 @@
 \fBvoid delscreen(SCREEN* sp);\fR
 .br
 .SH DESCRIPTION
+.SS initscr
 \fBinitscr\fR is normally the first \fBcurses\fR routine to call when
 initializing a program.
 A few special routines sometimes need to be called before it;
@@ -76,6 +77,7 @@
 If errors occur, \fBinitscr\fR writes an appropriate error
 message to standard error and exits;
 otherwise, a pointer is returned to \fBstdscr\fR.
+.SS newterm
 .PP
 A program that outputs to more than one terminal should use the \fBnewterm\fR
 routine for each terminal instead of \fBinitscr\fR.
@@ -95,6 +97,7 @@
 another file pointer for input from the terminal
 .PP
 If the \fItype\fR parameter is \fBNULL\fR, \fB$TERM\fR will be used.
+.SS endwin
 .PP
 The program must also call
 \fBendwin\fR for each terminal being used before exiting from \fBcurses\fR.
@@ -114,16 +117,19 @@
 .PP
 Calling \fBrefresh\fR or \fBdoupdate\fR after a
 temporary escape causes the program to resume visual mode.
+.SS isendwin
 .PP
 The \fBisendwin\fR routine returns \fBTRUE\fR if \fBendwin\fR has been
 called without any subsequent calls to \fBwrefresh\fR,
 and \fBFALSE\fR otherwise.
+.SS set_term
 .PP
 The \fBset_term\fR routine is used to switch between different terminals.
 The screen reference \fBnew\fR becomes the new current terminal.
 The previous terminal is returned by the routine.
 This is the only routine which manipulates \fBSCREEN\fR pointers;
 all other routines affect only the current terminal.
+.SS delscreen
 .PP
 The \fBdelscreen\fR routine frees storage associated with the
 \fBSCREEN\fR data structure.
@@ -152,22 +158,88 @@
 .SH NOTES
 Note that \fBinitscr\fR and \fBnewterm\fR may be macros.
 .SH PORTABILITY
-These functions are described in the XSI Curses standard, Issue 4.
-It specifies that portable applications must not
-call \fBinitscr\fR more than once.
+These functions were described in the XSI Curses standard, Issue 4.
+As of 2015, the current document is X/Open Curses, Issue 7.
+.SS Differences
+X/Open specifies that portable applications must not
+call \fBinitscr\fR more than once:
+.bP
+The portable way to use \fBinitscr\fP is once only,
+using \fBrefresh\fP (see curs_refresh(3X)) to restore the screen after \fBendwin\fP.
+.bP
+This implementation allows using \fBinitscr\fP after \fBendwin\fP.
 .PP
 Old versions of curses, e.g., BSD 4.4, may have returned a null pointer
 from \fBinitscr\fR when an error is detected, rather than exiting.
 It is safe but redundant to check the return value of \fBinitscr\fR
 in XSI Curses.
+.SS Unset TERM Variable
 .PP
 If the TERM variable is missing or empty, \fBinitscr\fP uses the
 value \*(``unknown\*('',
 which normally corresponds to a terminal entry with the \fIgeneric\fP
 (\fIgn\fP) capability.
-Generic entries are detected by \fBsetupterm\fP(3X) and cannot be
+Generic entries are detected by \fBsetupterm\fP (see curs_terminfo(3X)) and cannot be
 used for full-screen operation.
 Other implementations may handle a missing/empty TERM variable differently.
+.SS Signal Handlers
+.PP
+Quoting from X/Open Curses, section 3.1.1:
+.RS 5
+.PP
+\fICurses implementations may provide for special handling of the SIGINT,
+SIGQUIT and SIGTSTP signals if their disposition is SIG_DFL at the time
+\fBinitscr()\fP is called \fP...
+.PP
+\fIAny special handling for these signals may remain in effect for the
+life of the process or until the process changes the disposition of
+the signal.\fP
+.PP
+\fINone of the Curses functions are required to be safe with respect to signals \fP...
+.RE
+.PP
+This implementation establishes signal handlers during initialization,
+e.g., \fBinitscr\fP or \fBnewterm\fP.
+Applications which must handle these signals should set up the corresponding
+handlers \fIafter\fP initializing the library:
+.TP 5
+.B SIGINT
+The handler \fIattempts\fP to cleanup the screen on exit.
+Although it \fIusually\fP works as expected, there are limitations:
+.RS 5
+.bP
+Walking the \fBSCREEN\fP list is unsafe, since all list management
+is done without any signal blocking.
+.bP
+On systems which have \fBREENTRANT\fP turned on, \fBset_term\fP uses
+functions which could deadlock or misbehave in other ways.
+.bP
+\fBendwin\fP calls other functions, many of which use stdio or
+other library functions which are clearly unsafe.
+.RE
+.TP 5
+.B SIGTERM
+This uses the same handler as \fBSIGINT\fP, with the same limitations.
+It is not mentioned in X/Open Curses, but is more suitable for this
+purpose than \fBSIGQUIT\fP (which is used in debugging).
+.TP 5
+.B SIGTSTP
+This handles the \fIstop\fP signal, used in job control.
+When resuming the process, this implementation discards pending
+input with \fBflushinput\fP (see curs_util(3X)), and repaints the screen
+assuming that it has been completely altered.
+It also updates the saved terminal modes with \fBdef_shell_mode\fP (see curs_kernel(3X)).
+.TP 5
+.B SIGWINCH
+This handles the window-size changes which were initially ignored in
+the standardization efforts.
+The handler sets a (signal-safe) variable
+which is later tested in \fBwgetch\fP (see curs_getch(3X)).
+If \fBkeypad\fP has been enabled for the corresponding window,
+\fBwgetch\fP returns the key symbol \fBKEY_RESIZE\fP.
+At the same time, \fBwgetch\fP calls \fBresizeterm\fP to adjust the
+standard screen \fBstdscr\fP,
+and update other data such as \fBLINES\fP and \fBCOLS\fP.
 .SH SEE ALSO
 \fBcurses\fR(3X),
 \fBcurs_kernel\fR(3X),
Index: ncurses/tinfo/lib_tparm.c
Prereq:  1.93 
--- ncurses-6.0-20150711+/ncurses/tinfo/lib_tparm.c	2014-10-11 03:04:31.000000000 +0000
+++ ncurses-6.0-20150719/ncurses/tinfo/lib_tparm.c	2015-07-17 01:03:35.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -42,7 +42,7 @@
 #include <ctype.h>
 #include <tic.h>
 
-MODULE_ID("$Id: lib_tparm.c,v 1.93 2014/10/11 03:04:31 tom Exp $")
+MODULE_ID("$Id: lib_tparm.c,v 1.94 2015/07/17 01:03:35 tom Exp $")
 
 /*
  *	char *
@@ -672,11 +672,15 @@
 		break;
 
 	    case 'A':
-		npush(npop() && npop());
+		y = npop();
+		x = npop();
+		npush(y && x);
 		break;
 
 	    case 'O':
-		npush(npop() || npop());
+		y = npop();
+		x = npop();
+		npush(y || x);
 		break;
 
 	    case '&':
Index: ncurses/tinfo/make_keys.c
Prereq:  1.20 
--- ncurses-6.0-20150711+/ncurses/tinfo/make_keys.c	2011-10-22 16:34:50.000000000 +0000
+++ ncurses-6.0-20150719/ncurses/tinfo/make_keys.c	2015-07-16 01:10:03.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2011 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2011,2015 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -39,11 +39,26 @@
 #define USE_TERMLIB 1
 #include <build.priv.h>
 
-MODULE_ID("$Id: make_keys.c,v 1.20 2011/10/22 16:34:50 tom Exp $")
+MODULE_ID("$Id: make_keys.c,v 1.21 2015/07/16 01:10:03 tom Exp $")
 
 #include <names.c>
 
-#define UNKNOWN (unsigned) (SIZEOF(strnames) + SIZEOF(strfnames))
+static unsigned
+unknown(void)
+{
+    static unsigned result = 0;
+
+    if (result == 0) {
+	unsigned n;
+	for (n = 0; strnames[n] != 0; n++) {
+	    ++result;
+	}
+	for (n = 0; strfnames[n] != 0; n++) {
+	    ++result;
+	}
+    }
+    return result;
+}
 
 static unsigned
 lookup(const char *name)
@@ -64,7 +79,7 @@
 	    }
 	}
     }
-    return found ? n : UNKNOWN;
+    return found ? n : unknown();
 }
 
 static void
@@ -73,6 +88,7 @@
     char buffer[BUFSIZ];
     char from[256];
     char to[256];
+    unsigned ignore = unknown();
     unsigned maxlen = 16;
     int scanned;
 
@@ -86,7 +102,7 @@
 	scanned = sscanf(buffer, "%255s %255s", to, from);
 	if (scanned == 2) {
 	    unsigned code = lookup(from);
-	    if (code == UNKNOWN)
+	    if (code == ignore)
 		continue;
 	    if (strlen(from) > maxlen)
 		maxlen = (unsigned) strlen(from);
Index: package/debian-mingw/changelog
--- ncurses-6.0-20150711+/package/debian-mingw/changelog	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/debian-mingw/changelog	2015-07-19 23:55:55.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20150711) unstable; urgency=low
+ncurses6 (6.0+20150719) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 07 Jul 2015 04:04:53 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 19 Jul 2015 19:55:23 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20150711+/package/debian-mingw64/changelog	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/debian-mingw64/changelog	2015-07-19 23:55:55.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20150711) unstable; urgency=low
+ncurses6 (6.0+20150719) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 07 Jul 2015 04:04:53 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 19 Jul 2015 19:55:23 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20150711+/package/debian/changelog	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/debian/changelog	2015-07-19 23:55:55.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20150711) unstable; urgency=low
+ncurses6 (6.0+20150719) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 07 Jul 2015 04:04:53 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 19 Jul 2015 19:55:23 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.112 
--- ncurses-6.0-20150711+/package/mingw-ncurses.nsi	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/mingw-ncurses.nsi	2015-07-19 23:55:55.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.112 2015/07/07 08:04:53 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.114 2015/07/19 23:55:55 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2015"
-!define VERSION_MMDD  "0711"
+!define VERSION_MMDD  "0719"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20150711+/package/mingw-ncurses.spec	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/mingw-ncurses.spec	2015-07-19 23:55:55.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20150711
+Release: 20150719
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20150711+/package/ncurses.spec	2015-07-07 08:04:53.000000000 +0000
+++ ncurses-6.0-20150719/package/ncurses.spec	2015-07-19 23:55:55.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20150711
+Release: 20150719
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/README
Prereq:  1.51 
--- ncurses-6.0-20150711+/test/README	2015-06-27 19:41:39.000000000 +0000
+++ ncurses-6.0-20150719/test/README	2015-07-11 14:17:01.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: README,v 1.51 2015/06/27 19:41:39 tom Exp $
+-- $Id: README,v 1.52 2015/07/11 14:17:01 tom Exp $
 -------------------------------------------------------------------------------
 
 The programs in this directory are used to test and demonstrate ncurses.
@@ -229,7 +229,7 @@
 
 libncurses:
 ----------
-BC				-
+BC				test: demo_termcap
 COLORS				test: dots_curses echochar ncurses savescreen xmas
 COLOR_PAIR			test: background blue bs cardfile clip_printw demo_forms demo_menus demo_panels dots_curses echochar filter firework gdc hanoi ins_wide insdelln inserts knight ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr testaddch testcurs view worm xmas
 COLOR_PAIRS			test: dots_curses echochar ncurses newdemo savescreen
@@ -237,10 +237,10 @@
 ESCDELAY			test: test_opaque
 LINES				test: cardfile demo_defkey demo_keyok demo_menus demo_panels ditto dots_curses echochar edit_field firework hanoi hashtest inch_wide inchs ins_wide inserts lrtest movewindow ncurses newdemo rain savescreen tclock test_add_wchstr test_addchstr test_addstr test_addwstr test_get_wstr test_getstr test_instr test_inwstr test_opaque testcurs view worm xmas
 PAIR_NUMBER			test: ncurses
-PC				lib: ncurses
+PC				test: demo_termcap
 SP				lib: form
 TABSIZE				test: test_opaque
-UP				-
+UP				test: demo_termcap
 acs_map				test: background gdc ins_wide inserts knight movewindow ncurses newdemo savescreen test_add_wchstr test_addchstr test_addstr test_addwstr testcurs
 add_wch				test: demo_panels ncurses test_add_wchstr test_addwstr
 add_wchnstr			test: test_add_wchstr
@@ -549,7 +549,7 @@
 numcodes			test: demo_termcap test_arrays progs: dump_entry
 numfnames			test: demo_terminfo test_arrays progs: dump_entry
 numnames			test: demo_termcap demo_terminfo test_arrays progs: dump_entry infocmp
-ospeed				progs: tset
+ospeed				test: demo_termcap progs: tset
 overlay				test: ncurses testcurs xmas
 overwrite			test: ncurses savescreen
 pair_content			test: background color_set
@@ -676,7 +676,7 @@
 tputs				test: dots dots_mvcur dots_termcap railroad test_vid_puts test_vidputs progs: clear tabs tset
 tputs_sp			lib: ncurses
 trace				test: demo_menus hashtest lrtest ncurses testcurs view worm
-ttytype				lib: ncurses
+ttytype				test: demo_terminfo
 typeahead			test: testcurs
 typeahead_sp			lib: ncurses
 unctrl				test: ncurses redraw test_add_wchstr test_addchstr testcurs
Index: test/configure
--- ncurses-6.0-20150711+/test/configure	2015-06-06 18:02:16.000000000 +0000
+++ ncurses-6.0-20150719/test/configure	2015-07-16 00:54:38.000000000 +0000
@@ -14743,14 +14743,65 @@
 
 fi
 
-echo "$as_me:14746: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:14746: checking if $cf_cv_screen library uses pthreads" >&5
+echo $ECHO_N "checking if $cf_cv_screen library uses pthreads... $ECHO_C" >&6
+if test "${cf_cv_use_pthreads+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+cat >conftest.$ac_ext <<_ACEOF
+#line 14753 "configure"
+#include "confdefs.h"
+
+#include <${cf_cv_ncurses_header:-curses.h}>
+extern void _nc_init_pthreads(void);
+
+int
+main ()
+{
+
+	initscr();
+	_nc_init_pthreads();
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:14771: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:14774: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:14777: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:14780: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_cv_use_pthreads=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_cv_use_pthreads=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
+fi
+echo "$as_me:14791: result: $cf_cv_use_pthreads" >&5
+echo "${ECHO_T}$cf_cv_use_pthreads" >&6
+test $cf_cv_use_pthreads = yes && cat >>confdefs.h <<\EOF
+#define USE_PTHREADS 1
+EOF
+
+echo "$as_me:14797: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14753 "configure"
+#line 14804 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -14770,16 +14821,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14773: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14824: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14776: \$? = $ac_status" >&5
+  echo "$as_me:14827: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14779: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14830: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14782: \$? = $ac_status" >&5
+  echo "$as_me:14833: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -14791,14 +14842,14 @@
 
 fi
 
-echo "$as_me:14794: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:14845: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_SYS_TIME_SELECT 1
 EOF
 
-echo "$as_me:14801: checking for function curses_version" >&5
+echo "$as_me:14852: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14808,7 +14859,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14811 "configure"
+#line 14862 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14821,15 +14872,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14824: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14875: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14827: \$? = $ac_status" >&5
+  echo "$as_me:14878: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14829: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14880: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14832: \$? = $ac_status" >&5
+  echo "$as_me:14883: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -14844,14 +14895,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:14847: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:14898: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:14854: checking for alternate character set array" >&5
+echo "$as_me:14905: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14861,7 +14912,7 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 14864 "configure"
+#line 14915 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14877,16 +14928,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14880: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14931: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14883: \$? = $ac_status" >&5
+  echo "$as_me:14934: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14886: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14937: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14889: \$? = $ac_status" >&5
+  echo "$as_me:14940: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -14897,7 +14948,7 @@
 done
 
 fi
-echo "$as_me:14900: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:14951: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -14907,7 +14958,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:14910: checking for wide alternate character set array" >&5
+echo "$as_me:14961: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14917,7 +14968,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14920 "configure"
+#line 14971 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14933,16 +14984,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14936: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14987: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14939: \$? = $ac_status" >&5
+  echo "$as_me:14990: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14942: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14993: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14945: \$? = $ac_status" >&5
+  echo "$as_me:14996: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -14953,7 +15004,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:14956: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:15007: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -14961,7 +15012,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:14964: checking for wide alternate character constants" >&5
+echo "$as_me:15015: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14971,7 +15022,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14974 "configure"
+#line 15025 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14988,16 +15039,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14991: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15042: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14994: \$? = $ac_status" >&5
+  echo "$as_me:15045: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14997: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15048: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15000: \$? = $ac_status" >&5
+  echo "$as_me:15051: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -15007,7 +15058,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15010 "configure"
+#line 15061 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15023,16 +15074,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15026: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15077: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15029: \$? = $ac_status" >&5
+  echo "$as_me:15080: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15032: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15083: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15035: \$? = $ac_status" >&5
+  echo "$as_me:15086: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -15043,7 +15094,7 @@
 fi
 
 fi
-echo "$as_me:15046: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:15097: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -15053,10 +15104,10 @@
 
 fi
 
-echo "$as_me:15056: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15107: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15059 "configure"
+#line 15110 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15074,16 +15125,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15077: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15128: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15080: \$? = $ac_status" >&5
+  echo "$as_me:15131: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15083: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15134: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15086: \$? = $ac_status" >&5
+  echo "$as_me:15137: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15092,7 +15143,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15095: result: $cf_result" >&5
+echo "$as_me:15146: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15113,14 +15164,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:15116: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:15167: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15123 "configure"
+#line 15174 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15138,23 +15189,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15141: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15192: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15144: \$? = $ac_status" >&5
+  echo "$as_me:15195: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15147: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15198: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15150: \$? = $ac_status" >&5
+  echo "$as_me:15201: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15157 "configure"
+#line 15208 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15173,16 +15224,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15176: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15227: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15179: \$? = $ac_status" >&5
+  echo "$as_me:15230: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15182: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15233: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15185: \$? = $ac_status" >&5
+  echo "$as_me:15236: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -15194,7 +15245,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15197: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:15248: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -15217,14 +15268,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:15220: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:15271: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15227 "configure"
+#line 15278 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15242,23 +15293,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15245: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15296: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15248: \$? = $ac_status" >&5
+  echo "$as_me:15299: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15251: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15302: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15254: \$? = $ac_status" >&5
+  echo "$as_me:15305: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15261 "configure"
+#line 15312 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15277,16 +15328,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15280: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15331: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15283: \$? = $ac_status" >&5
+  echo "$as_me:15334: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15286: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15337: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15289: \$? = $ac_status" >&5
+  echo "$as_me:15340: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -15298,7 +15349,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15301: result: $cf_cv_wchar_t" >&5
+echo "$as_me:15352: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -15321,14 +15372,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:15324: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:15375: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15331 "configure"
+#line 15382 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15346,23 +15397,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15349: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15400: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15352: \$? = $ac_status" >&5
+  echo "$as_me:15403: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15355: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15406: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15358: \$? = $ac_status" >&5
+  echo "$as_me:15409: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15365 "configure"
+#line 15416 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15381,16 +15432,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15384: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15435: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15387: \$? = $ac_status" >&5
+  echo "$as_me:15438: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15390: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15441: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15393: \$? = $ac_status" >&5
+  echo "$as_me:15444: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -15402,7 +15453,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15405: result: $cf_cv_wint_t" >&5
+echo "$as_me:15456: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -15426,10 +15477,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:15429: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15480: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15432 "configure"
+#line 15483 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15447,16 +15498,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15450: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15501: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15453: \$? = $ac_status" >&5
+  echo "$as_me:15504: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15456: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15507: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15459: \$? = $ac_status" >&5
+  echo "$as_me:15510: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15465,7 +15516,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15468: result: $cf_result" >&5
+echo "$as_me:15519: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15487,10 +15538,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:15490: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15541: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15493 "configure"
+#line 15544 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15508,16 +15559,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15511: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15562: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15514: \$? = $ac_status" >&5
+  echo "$as_me:15565: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15517: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15568: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15520: \$? = $ac_status" >&5
+  echo "$as_me:15571: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15526,7 +15577,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15529: result: $cf_result" >&5
+echo "$as_me:15580: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15548,10 +15599,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:15551: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15602: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15554 "configure"
+#line 15605 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15569,16 +15620,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15572: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15623: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15575: \$? = $ac_status" >&5
+  echo "$as_me:15626: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15578: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15629: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15581: \$? = $ac_status" >&5
+  echo "$as_me:15632: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15587,7 +15638,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15590: result: $cf_result" >&5
+echo "$as_me:15641: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15608,11 +15659,11 @@
 	fi
 fi
 
-echo "$as_me:15611: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15662: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15615 "configure"
+#line 15666 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15640,16 +15691,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15643: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15694: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15646: \$? = $ac_status" >&5
+  echo "$as_me:15697: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15649: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15700: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15652: \$? = $ac_status" >&5
+  echo "$as_me:15703: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15658,7 +15709,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15661: result: $cf_result" >&5
+echo "$as_me:15712: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -15670,14 +15721,14 @@
 EOF
 
 else
-	echo "$as_me:15673: checking for data boolnames in library" >&5
+	echo "$as_me:15724: checking for data boolnames in library" >&5
 echo $ECHO_N "checking for data boolnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15680 "configure"
+#line 15731 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15710,16 +15761,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15713: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15764: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15716: \$? = $ac_status" >&5
+  echo "$as_me:15767: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15719: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15770: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15722: \$? = $ac_status" >&5
+  echo "$as_me:15773: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15731,7 +15782,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15734 "configure"
+#line 15785 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15757,15 +15808,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15760: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15811: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15763: \$? = $ac_status" >&5
+  echo "$as_me:15814: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15765: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15816: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15768: \$? = $ac_status" >&5
+  echo "$as_me:15819: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15776,7 +15827,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:15779: result: $cf_result" >&5
+	echo "$as_me:15830: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -15789,11 +15840,11 @@
 	fi
 fi
 
-echo "$as_me:15792: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15843: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15796 "configure"
+#line 15847 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15821,16 +15872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15824: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15875: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15827: \$? = $ac_status" >&5
+  echo "$as_me:15878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15830: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15833: \$? = $ac_status" >&5
+  echo "$as_me:15884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15839,7 +15890,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15842: result: $cf_result" >&5
+echo "$as_me:15893: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -15851,14 +15902,14 @@
 EOF
 
 else
-	echo "$as_me:15854: checking for data boolfnames in library" >&5
+	echo "$as_me:15905: checking for data boolfnames in library" >&5
 echo $ECHO_N "checking for data boolfnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15861 "configure"
+#line 15912 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15891,16 +15942,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15894: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15945: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15897: \$? = $ac_status" >&5
+  echo "$as_me:15948: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15900: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15951: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15903: \$? = $ac_status" >&5
+  echo "$as_me:15954: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15912,7 +15963,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15915 "configure"
+#line 15966 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15938,15 +15989,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15941: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15992: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15944: \$? = $ac_status" >&5
+  echo "$as_me:15995: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15946: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15997: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15949: \$? = $ac_status" >&5
+  echo "$as_me:16000: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15957,7 +16008,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:15960: result: $cf_result" >&5
+	echo "$as_me:16011: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -15972,7 +16023,7 @@
 
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:15975: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:16026: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -15989,7 +16040,7 @@
 	with_warnings=no
 
 fi;
-echo "$as_me:15992: result: $with_warnings" >&5
+echo "$as_me:16043: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -16012,10 +16063,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:16015: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:16066: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 16018 "${as_me:-configure}"
+#line 16069 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -16064,12 +16115,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:16067: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16118: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16070: \$? = $ac_status" >&5
+  echo "$as_me:16121: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16072: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:16123: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in
@@ -16133,12 +16184,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	(linux*|gnu*)
-		echo "$as_me:16136: checking if this is really Intel C compiler" >&5
+		echo "$as_me:16187: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16141 "configure"
+#line 16192 "configure"
 #include "confdefs.h"
 
 int
@@ -16155,16 +16206,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16158: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16209: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16161: \$? = $ac_status" >&5
+  echo "$as_me:16212: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16164: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16215: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16167: \$? = $ac_status" >&5
+  echo "$as_me:16218: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -16175,7 +16226,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:16178: result: $INTEL_COMPILER" >&5
+		echo "$as_me:16229: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -16184,12 +16235,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:16187: checking if this is really Clang C compiler" >&5
+	echo "$as_me:16238: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16192 "configure"
+#line 16243 "configure"
 #include "confdefs.h"
 
 int
@@ -16206,16 +16257,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16209: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16260: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16212: \$? = $ac_status" >&5
+  echo "$as_me:16263: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16215: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16266: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16218: \$? = $ac_status" >&5
+  echo "$as_me:16269: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -16226,12 +16277,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:16229: result: $CLANG_COMPILER" >&5
+	echo "$as_me:16280: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 16234 "${as_me:-configure}"
+#line 16285 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -16248,7 +16299,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:16251: checking for $CC warning options..." >&5
+	{ echo "$as_me:16302: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -16264,12 +16315,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:16267: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16318: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16270: \$? = $ac_status" >&5
+  echo "$as_me:16321: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16272: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:16323: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -16278,7 +16329,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:16281: checking for $CC warning options..." >&5
+	{ echo "$as_me:16332: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -16302,12 +16353,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:16305: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16356: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16308: \$? = $ac_status" >&5
+  echo "$as_me:16359: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16310: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:16361: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in
 			(Wcast-qual)
@@ -16318,7 +16369,7 @@
 				([34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:16321: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:16372: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -16328,7 +16379,7 @@
 				([12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:16331: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:16382: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -16344,7 +16395,7 @@
 fi
 fi
 
-echo "$as_me:16347: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:16398: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -16361,7 +16412,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:16364: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:16415: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -16455,23 +16506,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:16458: checking for dmalloc.h" >&5
+	echo "$as_me:16509: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16464 "configure"
+#line 16515 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:16468: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16519: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16474: \$? = $ac_status" >&5
+  echo "$as_me:16525: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16490,11 +16541,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16493: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:16544: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:16497: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:16548: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16502,7 +16553,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16505 "configure"
+#line 16556 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16521,16 +16572,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16524: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16575: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16527: \$? = $ac_status" >&5
+  echo "$as_me:16578: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16530: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16581: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16533: \$? = $ac_status" >&5
+  echo "$as_me:16584: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -16541,7 +16592,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16544: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:16595: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -16556,7 +16607,7 @@
 
 fi
 
-echo "$as_me:16559: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:16610: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -16573,7 +16624,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:16576: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:16627: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -16667,23 +16718,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:16670: checking for dbmalloc.h" >&5
+	echo "$as_me:16721: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16676 "configure"
+#line 16727 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:16680: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16731: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16686: \$? = $ac_status" >&5
+  echo "$as_me:16737: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16702,11 +16753,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16705: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:16756: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:16709: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:16760: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16714,7 +16765,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16717 "configure"
+#line 16768 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16733,16 +16784,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16736: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16787: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16739: \$? = $ac_status" >&5
+  echo "$as_me:16790: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16742: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16793: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16745: \$? = $ac_status" >&5
+  echo "$as_me:16796: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -16753,7 +16804,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16756: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:16807: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -16768,7 +16819,7 @@
 
 fi
 
-echo "$as_me:16771: checking if you want to use valgrind for testing" >&5
+echo "$as_me:16822: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -16785,7 +16836,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:16788: result: ${with_valgrind:-no}" >&5
+echo "$as_me:16839: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in
@@ -16878,7 +16929,7 @@
 	;;
 esac
 
-echo "$as_me:16881: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:16932: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -16888,7 +16939,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:16891: result: $with_no_leaks" >&5
+echo "$as_me:16942: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -16904,7 +16955,7 @@
 fi
 
 LD_RPATH_OPT=
-echo "$as_me:16907: checking for an rpath option" >&5
+echo "$as_me:16958: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in
 (irix*)
@@ -16935,12 +16986,12 @@
 (*)
 	;;
 esac
-echo "$as_me:16938: result: $LD_RPATH_OPT" >&5
+echo "$as_me:16989: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in
 (x-R*)
-	echo "$as_me:16943: checking if we need a space after rpath option" >&5
+	echo "$as_me:16994: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 
@@ -16961,7 +17012,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16964 "configure"
+#line 17015 "configure"
 #include "confdefs.h"
 
 int
@@ -16973,16 +17024,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16976: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17027: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16979: \$? = $ac_status" >&5
+  echo "$as_me:17030: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16982: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17033: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16985: \$? = $ac_status" >&5
+  echo "$as_me:17036: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -16992,13 +17043,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:16995: result: $cf_rpath_space" >&5
+	echo "$as_me:17046: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
 esac
 
-echo "$as_me:17001: checking if rpath-hack should be disabled" >&5
+echo "$as_me:17052: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -17015,21 +17066,21 @@
 	cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:17018: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:17069: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:17022: checking for updated LDFLAGS" >&5
+echo "$as_me:17073: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:17025: result: maybe" >&5
+	echo "$as_me:17076: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:17032: checking for $ac_word" >&5
+echo "$as_me:17083: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17044,7 +17095,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:17047: found $ac_dir/$ac_word" >&5
+echo "$as_me:17098: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -17052,10 +17103,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:17055: result: $cf_ldd_prog" >&5
+  echo "$as_me:17106: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:17058: result: no" >&5
+  echo "$as_me:17109: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17069,7 +17120,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17072 "configure"
+#line 17123 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -17081,16 +17132,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17084: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17135: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17087: \$? = $ac_status" >&5
+  echo "$as_me:17138: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17090: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17141: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17093: \$? = $ac_status" >&5
+  echo "$as_me:17144: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -17118,7 +17169,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:17121: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:17172: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -17130,11 +17181,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17133: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:17184: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17137: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:17188: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -17171,7 +17222,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:17174: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:17225: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -17184,11 +17235,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17187: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:17238: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:17191: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:17242: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -17225,7 +17276,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:17228: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:17279: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -17238,14 +17289,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:17241: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:17292: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17245: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:17296: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:17248: result: no" >&5
+	echo "$as_me:17299: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17335,7 +17386,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:17338: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:17389: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -17511,7 +17562,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:17514: error: ambiguous option: $1
+    { { echo "$as_me:17565: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -17530,7 +17581,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:17533: error: unrecognized option: $1
+  -*) { { echo "$as_me:17584: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -17580,7 +17631,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:17583: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:17634: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -17853,7 +17904,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:17856: creating $ac_file" >&5
+    { echo "$as_me:17907: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -17871,7 +17922,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:17874: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:17925: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -17884,7 +17935,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:17887: error: cannot find input file: $f" >&5
+           { { echo "$as_me:17938: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -17900,7 +17951,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:17903: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:17954: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -17909,7 +17960,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:17912: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:17963: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -17946,7 +17997,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:17949: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:18000: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -17957,7 +18008,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:17960: WARNING: Some variables may not be substituted:
+      { echo "$as_me:18011: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -18006,7 +18057,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:18009: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:18060: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -18017,7 +18068,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:18020: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:18071: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -18030,7 +18081,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:18033: error: cannot find input file: $f" >&5
+           { { echo "$as_me:18084: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -18088,7 +18139,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:18091: $ac_file is unchanged" >&5
+      { echo "$as_me:18142: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.122 
--- ncurses-6.0-20150711+/test/configure.in	2015-04-25 11:39:47.000000000 +0000
+++ ncurses-6.0-20150719/test/configure.in	2015-07-16 00:51:52.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996, etc.
 dnl
-dnl $Id: configure.in,v 1.122 2015/04/25 11:39:47 tom Exp $
+dnl $Id: configure.in,v 1.123 2015/07/16 00:51:52 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -287,6 +287,20 @@
 	AC_DEFINE(USE_WIDEC_SUPPORT,0)
 fi
 
+AC_CACHE_CHECK(if $cf_cv_screen library uses pthreads,cf_cv_use_pthreads,[
+AC_TRY_LINK([
+#include <${cf_cv_ncurses_header:-curses.h}>
+extern void _nc_init_pthreads(void);
+],
+[
+	initscr();
+	_nc_init_pthreads();
+	],
+	[cf_cv_use_pthreads=yes],
+	[cf_cv_use_pthreads=no])
+])
+test $cf_cv_use_pthreads = yes && AC_DEFINE(USE_PTHREADS)
+
 CF_SYS_TIME_SELECT
 CF_FUNC_CURSES_VERSION
 
